P4_WORD_TO_HERE(3)

NAME
p4_word_to_here - _word>here_ ( -- here* )

SYNOPSIS

#include <pfe/double-sub.h>

_export char* p4_word_to_here((void));

DESCRIPTION

complement _word:parse_ to arrive at the normal WORD implementation will also ensure the string is zero-terminated - this makes a lot of operations easier since most forth function can receive a string-span directly but some need a string-copy and that is usually because it has to be passed down into a C-defined function with zerotermined string. Just use p4_HERE+1 (which is also the returnvalue of the p4_word_to_here function!) to have the start of the zero-terminated string. Note that the p4_word_to_here function may throw with P4_ON_PARSE_OVER if the string is too long (it has set *DP=0 to ensure again that THROW will report PFE.word. as the offending string)